# Record Class CJ1ItemSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1ItemSearchParameters

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("Parameters to search for items.") public record CJ1ItemSearchParameters(CJ1ComparisonFuzzyType<String> nameMatch, CJ1ComparisonFuzzyType<String> descriptionMatch, CJ1ComparisonSetType<CJ1TypeRecordIdentifier> typeMatch, CJ1MetadataElementMatchType metadataMatch, CJ1IncludeDeleted includeDeleted, CJ1ItemColumnOrdering ordering, CJ1UnsignedLong pageSize) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1ItemSearchParameters(CJ1ComparisonFuzzyType<String> nameMatch, CJ1ComparisonFuzzyType<String> descriptionMatch, CJ1ComparisonSetType<CJ1TypeRecordIdentifier> typeMatch, CJ1MetadataElementMatchType metadataMatch, CJ1IncludeDeleted includeDeleted, CJ1ItemColumnOrdering ordering, CJ1UnsignedLong pageSize)`
  Creates an instance of a `CJ1ItemSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1ComparisonFuzzyType<String>`
  `descriptionMatch()`
  Returns the value of the `descriptionMatch` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CJ1IncludeDeleted`
  `includeDeleted()`
  Returns the value of the `includeDeleted` record component.
  `CJ1MetadataElementMatchType`
  `metadataMatch()`
  Returns the value of the `metadataMatch` record component.
  `CJ1ComparisonFuzzyType<String>`
  `nameMatch()`
  Returns the value of the `nameMatch` record component.
  `CJ1ItemColumnOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `CJ1UnsignedLong`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CJ1ComparisonSetType<CJ1TypeRecordIdentifier>`
  `typeMatch()`
  Returns the value of the `typeMatch` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1ItemSearchParameters

    public CJ1ItemSearchParameters(@JsonPropertyDescription("Include items with names matching the given expression.") CJ1ComparisonFuzzyType<String> nameMatch, @JsonPropertyDescription("Include items with descriptions matching the given expression.") CJ1ComparisonFuzzyType<String> descriptionMatch, @JsonPropertyDescription("Include items with types matching the given expression.") CJ1ComparisonSetType<CJ1TypeRecordIdentifier> typeMatch, @JsonPropertyDescription("Include items with metadata matching the given expression.") CJ1MetadataElementMatchType metadataMatch, @JsonPropertyDescription("Include deleted items.") CJ1IncludeDeleted includeDeleted, @JsonPropertyDescription("The result ordering.") CJ1ItemColumnOrdering ordering, @JsonPropertyDescription("The maximum number of results per page.") CJ1UnsignedLong pageSize)
    Creates an instance of a `CJ1ItemSearchParameters` record class.
    Parameters:
      `nameMatch` - the value for the `nameMatch` record component
      `descriptionMatch` - the value for the `descriptionMatch` record component
      `typeMatch` - the value for the `typeMatch` record component
      `metadataMatch` - the value for the `metadataMatch` record component
      `includeDeleted` - the value for the `includeDeleted` record component
      `ordering` - the value for the `ordering` record component
      `pageSize` - the value for the `pageSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### nameMatch

    @JsonPropertyDescription("Include items with names matching the given expression.") public CJ1ComparisonFuzzyType<String> nameMatch()
    Returns the value of the `nameMatch` record component.
    Returns:
      the value of the `nameMatch` record component

  - ### descriptionMatch

    @JsonPropertyDescription("Include items with descriptions matching the given expression.") public CJ1ComparisonFuzzyType<String> descriptionMatch()
    Returns the value of the `descriptionMatch` record component.
    Returns:
      the value of the `descriptionMatch` record component

  - ### typeMatch

    @JsonPropertyDescription("Include items with types matching the given expression.") public CJ1ComparisonSetType<CJ1TypeRecordIdentifier> typeMatch()
    Returns the value of the `typeMatch` record component.
    Returns:
      the value of the `typeMatch` record component

  - ### metadataMatch

    @JsonPropertyDescription("Include items with metadata matching the given expression.") public CJ1MetadataElementMatchType metadataMatch()
    Returns the value of the `metadataMatch` record component.
    Returns:
      the value of the `metadataMatch` record component

  - ### includeDeleted

    @JsonPropertyDescription("Include deleted items.") public CJ1IncludeDeleted includeDeleted()
    Returns the value of the `includeDeleted` record component.
    Returns:
      the value of the `includeDeleted` record component

  - ### ordering

    @JsonPropertyDescription("The result ordering.") public CJ1ItemColumnOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component

  - ### pageSize

    @JsonPropertyDescription("The maximum number of results per page.") public CJ1UnsignedLong pageSize()
    Returns the value of the `pageSize` record component.
    Returns:
      the value of the `pageSize` record component